declare const __VLS_export: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    modelo: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>, {
    texto: import("vue").Ref<string, string>;
    emitirBusca: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    buscar(valor: string): boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelo: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>> & Readonly<{
    onBuscar?: ((valor: string) => any) | undefined;
}>, {
    modelo: string;
}, {}, {
    Search: import("vue").FunctionalComponent<import("lucide-vue-next").LucideProps, {}, any, {}>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
